ZuploZuplo
LoginStart for Free
  • Documentation
  • API Reference
Information
Analytics
    Get recent requests for a given deployment in the last 24 hoursgetGet statistics on requests by status code for a given deploymentget
API Keys - Buckets
    Lists bucketsgetCreates a bucketpostGets a bucketgetDeletes a bucketdeleteUpdates a bucketpatch
API Keys - Consumers
    Lists consumersgetCreates a consumerpostGets a consumergetDeletes a consumerdeleteUpdates a consumerpatchRoll consumer keyspost
API Keys - Keys
    Lists keysgetCreates an API keypostCreates multiple API keyspostGets an API keygetDeletes an API keydeleteUpdates an API keypatch
API Keys - Managers
    Lists managersgetCreates a managerpostDeletes a managerdelete
Audit Logs
    Query audit logsgetQuery audit log eventsgetAggregated audit log statsget
Build Logs
    Get build logsget
Client mTLS CA Certificates
    List Client mTLS CA CertificatesgetCreate Client mTLS CA CertificatepostDelete Client mTLS CA CertificatedeleteUpdate Client mTLS CA Certificatepatch
Custom Domains
    Get Custom DomainsgetCreate Custom DomainpostDelete a Custom DomaindeleteUpdate a Custom Domainpatch
Deployments
    Gets a deployment statusgetLists deploymentsgetUpload deployment sourcepostGet a deploymentgetDeletes a deploymentdeleteRe-deploy a deploymentpost
Environments
    Query environmentsgetGet an environmentget
MCP Servers
    Zuplo Platform MCP ServerMCPDocs MCP Server streamgetDocs MCP ServerMCPDocs MCP Server session terminationdeleteDocs MCP Server CardgetPlatform MCP Server Cardget
Metering - Features
    List featuresgetCreate featurepostGet featuregetDelete featuredelete
Metering - Meters
    List metersgetCreate meterpostGet metergetUpdate meterputDelete meterdeleteList meter group by valuesgetQuery metergetQuery meterpost
Metering - Plans
    List plansgetCreate a planpostGet plangetUpdate a planputDelete plandeleteArchive plan versionpostPublish planpost
Projects
    Create projectpost
Runtime Logs
    List request logsgetGet request log detailget
Tunnel Services
    Gets a provisioning statusgetGets a service configurationgetConfigures tunnel servicesput
Tunnels
    Lists tunnelsgetCreates a tunnelpostGets a tunnelgetDeletes a tunneldeleteRotates the tokenpostGets a teardown statusget
Variables
    Creates a variablepostUpdates a variablepatch
Other endpoints
    OpenAPI SpecificationgetLists accountsgetLists projectsgetWho Am Iget
Schemas
powered by Zudoku
Zuplo Developer API
Zuplo Developer API

MCP Servers

MCP server endpoints for AI-powered tools


Zuplo Platform MCP Server

Connect com.zuplo/platform

Add this MCP server to your favorite AI tools in a few steps.

MCP Server URL
https://dev.zuplo.com/mcp
Choose your client
Set up Claude
  1. Copy the com.zuplo/platform URL. Use the copy button above — you'll need it in the next step.

  2. Open Settings → Connectors. Add a custom connector, name it com.zuplo/platform, and paste the URL.

    Open connector settings
  3. Connect and sign in. Click Add → Connect and sign in — you're all set, and the com.zuplo/platform tools appear in your conversations.

View official docs

Docs MCP Server stream

GET
https://dev.zuplo.com
/mcp/docs

Returns HTTP 405 because this stateless MCP server does not offer a standalone server-sent event stream.

Docs MCP Server stream › Responses

Client error

string
GET/mcp/docs
curl https://dev.zuplo.com/mcp/docs
Example Responses
string
text
text/plain; charset=utf-8

Docs MCP Server

Connect com.zuplo/docs

Add this MCP server to your favorite AI tools in a few steps.

MCP Server URL
https://dev.zuplo.com/mcp/docs
Choose your client
Set up Claude
  1. Copy the com.zuplo/docs URL. Use the copy button above — you'll need it in the next step.

  2. Open Settings → Connectors. Add a custom connector, name it com.zuplo/docs, and paste the URL.

    Open connector settings
  3. Connect and sign in. Click Add → Connect and sign in — you're all set, and the com.zuplo/docs tools appear in your conversations.

View official docs

Docs MCP Server session termination

DELETE
https://dev.zuplo.com
/mcp/docs

Returns HTTP 405 because this MCP server is stateless and does not create protocol sessions.

Docs MCP Server session termination › Responses

Client error

string
DELETE/mcp/docs
curl https://dev.zuplo.com/mcp/docs \ --request DELETE
Example Responses
string
text
text/plain; charset=utf-8

Docs MCP Server Card

GET
https://dev.zuplo.com
/mcp/docs/server-card

Experimental MCP Server Card describing the public Docs MCP endpoint and its supported protocol versions.

Docs MCP Server Card › Headers

If-None-Match
​string

Docs MCP Server Card › Responses

The request has succeeded.

Zuplo.MCP.McpServerCardDocument
$schema
​string · required
name
​string · required
version
​string · required
description
​string · required
title
​string
websiteUrl
​string
​Zuplo.MCP.McpServerCardRemote[]
GET/mcp/docs/server-card
curl https://dev.zuplo.com/mcp/docs/server-card
Example Responses
{ "$schema": "$schema", "name": "name", "version": "version", "description": "description", "title": "title", "websiteUrl": "websiteUrl", "remotes": [ { "type": "streamable-http", "url": "url", "headers": [ { "name": "name", "description": "description", "isRequired": true, "isSecret": true, "placeholder": "placeholder" } ], "supportedProtocolVersions": [ "string" ] } ] }
json
application/mcp-server-card+json

Platform MCP Server Card

GET
https://dev.zuplo.com
/mcp/server-card

Experimental MCP Server Card describing the authenticated Zuplo Platform MCP endpoint.

Platform MCP Server Card › Headers

If-None-Match
​string

Platform MCP Server Card › Responses

The request has succeeded.

Zuplo.MCP.McpServerCardDocument
$schema
​string · required
name
​string · required
version
​string · required
description
​string · required
title
​string
websiteUrl
​string
​Zuplo.MCP.McpServerCardRemote[]
GET/mcp/server-card
curl https://dev.zuplo.com/mcp/server-card
Example Responses
{ "$schema": "$schema", "name": "name", "version": "version", "description": "description", "title": "title", "websiteUrl": "websiteUrl", "remotes": [ { "type": "streamable-http", "url": "url", "headers": [ { "name": "name", "description": "description", "isRequired": true, "isSecret": true, "placeholder": "placeholder" } ], "supportedProtocolVersions": [ "string" ] } ] }
json
application/mcp-server-card+json

EnvironmentsMetering - Features